# PyPI

import openpyxl as xl
from openpyxl.chart import BarChart, Reference

workbookOject = xl.load_workbook('transactions.xlsx') # workbook object

sheet = workbookOject['Sheet1']

cell = sheet['a1']
#print(cell.value)

print(sheet.max_row)

for row in range(2, sheet.max_row + 1):
    cell = sheet.cell(row, 3)
    print(cell.value)
    if cell.value is not None:
        price_with_discount = cell.value * 0.9
        cell_with_discount = sheet.cell(row, 4)
        cell_with_discount.value = price_with_discount

# add chart

values = Reference(
    sheet,
    min_row=2,
    max_row=4,
    min_col=4,
    max_col=4
)

chart = BarChart()
chart.add_data(values)
sheet.add_chart(chart, 'e2')

workbookOject.save('transactions2.xlsx')